Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## DDT
Class emos_ddt_lib

public class emos_ddt_lib

This library contains wrappers for some chosen ddt_functions with extended logging and some additional useful functions.

Stereotype compiled module

Method Summary
`int` | `DDT_ask(in table, in param, in msg, in flag)` A special-purpose function.
`int` | `DDT_choose_table(in def_path, out dir, out name)` Displays a dialog wher you can either choose the default table or display the file-browser and pick any file you want.
`int` | `DDT_close_table(in table)` Closes the table.
`int` | `DDT_open_table(in table, in mode)` Opens the given Excel table.

Method Detail

### DDT_ask

    public int DDT_ask(in table, in param, in msg, in flag)

  A special-purpose function. It wraps around a ddt_val function by parsing the retrieved value. If the value begins with the particular substring (default: ?), then a dialog is displayed where the retrieved value may be modified before being sent to further processing.
  Parameters:
    table - (in) table name (full path)
    param - (in) column name
    msg - (in) message to be displayed in case the substring is found
    flag - (in) (optional) substring that triggers the dialog [default: ?]
  Returns: value (either modified or unmodified) which is to be further processed

### DDT_choose_table

    public int DDT_choose_table(in def_path, out dir, out name)

  Displays a dialog wher you can either choose the default table or display the file-browser and pick any file you want.
  Parameters:
    def_path - (in) name of the default table (full path!)
    dir - (out) name of the chosen directory
    name - (out) name of the chosen file
  Returns: E_OK: table chosen ( output variables filled ) E_BAD_PATH: oeration failed

### DDT_close_table

    public int DDT_close_table(in table)

  Closes the table. It does nothing more than the original ddt_close().

  NOTE! This function is here just for the completeness sake as a pendant to DDT_open_table().

  Parameters:
    table - (in) table name
  Returns: E_OK: operation succeeded !E_OK: operation failed

### DDT_open_table

    public int DDT_open_table(in table, in mode)

  Opens the given Excel table.

  NOTE! You may use this function with both WR 5.0 and WR 6.0. For WR 5.0 make sure not to specify the .

  Parameters:
    table - (in) table name
    mode - (in) (optional) DDT_MODE_READ or DDT_MODE_READWRITE [defult: DDT_MODE_READ]
  Returns: E_OK: operation successful !E_OK: operation failed

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD